/*
 * Reader.java
 *
 * Created on 10  2007 ., 14:02
 */

import java.io.*;
import javax.microedition.media.*;
import javax.microedition.media.control.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

/**
 *
 * @author  V*D*V
 * @version
 */
public class Reader extends MIDlet
{
    public static final String BOOK = "book.txt";
    public static final String END_BOOK = "-=   =-";
    public static final int UNICODE = 0;
    public static final int ANSI = 1;
    public static final String UNSUPPORTED_ENCODING = " ";
    //public static final int UTF_8 = 2;
    public static final String WIN1251_TO_UNICODE = "\u0402\u0403\u201a\u0453\u201e\u2026\u2020\u2021\u20ac\u2030\u0409\u2039\u040a\u040c\u040b" +
    "\u040f\u0452\u2018\u2019\u201c\u201d\u2022\u2013\u2014\ufffd\u2122\u0459\u203a\u045a\u045c" +
    "\u045b\u045f\u00a0\u040e\u045e\u0408\u00a4\u0490\u00a6\u00a7\u0401\u00a9\u0404\u00ab\u00ac" +
    "\u00ad\u00ae\u0407\u00b0\u00b1\u0406\u0456\u0491\u00b5\u00b6\u00b7\u0451\u2116\u0454\u00bb" +
    "\u0458\u0405\u0455\u0457\u0410\u0411\u0412\u0413\u0414\u0415\u0416\u0417\u0418\u0419\u041a" +
    "\u041b\u041c\u041d\u041e\u041f\u0420\u0421\u0422\u0423\u0424\u0425\u0426\u0427\u0428\u0429" +
    "\u042a\u042b\u042c\u042d\u042e\u042f\u0430\u0431\u0432\u0433\u0434\u0435\u0436\u0437\u0438" +
    "\u0439\u043a\u043b\u043c\u043d\u043e\u043f\u0440\u0441\u0442\u0443\u0444\u0445\u0446\u0447" +
    "\u0448\u0449\u044a\u044b\u044c\u044d\u044e\u044f";

    private Screen scr = null;

    public Reader()
    {
    }

    public void startApp()
    {
        scr = new Screen( this, Display.getDisplay( this ) );
        Display.getDisplay( this ).setCurrent( scr );
    }    
    public void pauseApp()
    {
        scr.pausePlayer();
    }

    public void destroyApp(boolean unconditional)
    {
        scr.cmdExit();
        //notifyDestroyed();
        Display.getDisplay( this ).setCurrent( (Displayable)null );
    }
}
